Subject: Re: [PATCH] net: tun: release the reference of tun device in tun_recvmsg

From: Gao feng <[email-masked]>
Date: Mon, 03 Jun 2013 16:26:45 +0800

On 05/29/2013 06:29 AM, Arkadiusz Miskiewicz wrote:
> On Friday 26 of April 2013, Jason Wang wrote:
>> On 04/26/2013 01:03 PM, Gao feng wrote:
>>> On 04/25/2013 11:04 PM, Arkadiusz Miskiewicz wrote:
>>>> On Thursday 25 of April 2013, Gao feng wrote:
>>>>> We forget to release the reference of tun device in tun_recvmsg.
>>>>> bug introduced in commit 54f968d6efdbf7dec36faa44fc11f01b0e4d1990
>>>>> (tuntap: move socket to tun_file)
>>>>
>>>> Hm, still hitting the problem even with the patch - dmesg:
>>> Ok, seams there are another problems we haven't discovered.
>>> it's excellent if you can find out which commit introduces this
>>> bug by git bisect.
>>>
>>> Thanks!
>>
>> Yes, bisect will be helpful. If you could not do it, please tell me the
>> steps to reproduce the issue and the tree you used. I just test with
>> net.git and net-next.git with a tap device created by tunctl, didn't
>> meet the issue.
> 
> Took a while. Suspected patch is below. I'm running fresh linus git
> (3.10.0-rc3-00046-g58f8bbd) with the patch reverted and couldn't
> reproduce problem anymore after several tries (will do more testing
> in meantime).

Thanks for your helpful work :)
I already send a patch to fix this problem.

> 
> My tap0 has ipv6 addresses (with link scope only). openvpn 2.3.1.

Indeed, not only tap/tun device, the other net devices can trigger
this problem too.

Thanks!